#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2000-2006 Free Software Foundation
#


#
# CREATING A RELEASE:
#   1. Change _version to be the current version number
#   2. Set _release to 1
#
# AFTER THE RELEASE:
#   3. Increase the minor number
#   4. Set _release = 0
#   5. Commit to CVS

_version = (0,1,1)
_release = 0

# Version will be of the form "1.1.2" if a release or "1.1.1.99" if in CVS
if _release:
  VERSION="%s.%s.%s" % _version
else:
  _t = (("%08d" % (int("%02d%02d%02d00" % _version)-1) ).replace('99','') + '99') + '0000000'
  if _t[6:8] != '00':
    extra = '.99'
  else:
    extra = ''
  VERSION = "%s.%s.%s%s" % (int(_t[:2]), int(_t[2:4]), int(_t[4:6]), extra)

# Hex Version will be an integer in which version 1.2.15 is represented
# as 0x010215FF (for a release) or 0x01021500 (for a CVS snapshot)
# This allows numeric testing of version numbers
# (e.g., HEXVERSION >= 0x01020000)
HEXVERSION = eval('0x%s%s' % ('%02d%02d%02d' % _version,
                               _release and 'FF' or '00') )

# Sigh... For Python compatability
__version__ = VERSION
__hexversion__ = HEXVERSION


PACKAGE="GNUe Reports"
